Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
asynchronous_arg_t Struct Reference

## Data Fields
void * | stackaddr
int | errnum
uintptr_t(* | func )(uintptr_t self, int argc, uintptr_t *argv)
uintptr_t | self
int | argc
uintptr_t * | argv

## Detailed Description

Definition at line 4987 of file win32.c.

## Field Documentation

int asynchronous_arg_t::argc

Definition at line 4995 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t* asynchronous_arg_t::argv

Definition at line 4996 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

int asynchronous_arg_t::errnum

Definition at line 4990 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t(* asynchronous_arg_t::func)(uintptr_t self, int argc, uintptr_t *argv)

Definition at line 4993 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

uintptr_t asynchronous_arg_t::self

Definition at line 4994 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

void* asynchronous_arg_t::stackaddr

Definition at line 4989 of file win32.c.

Referenced by call_asynchronous(), and rb_w32_asynchronize().

The documentation for this struct was generated from the following file:

- win32/win32.c